<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<div class="parent1 d-flex flex-col p-10 m-b-10">
    <div class="green1 bg-green p-10 m-b-10 d-flex j-c-s-b">
        <div class="yellow1 bg-yellow"></div>
        <div class="blue1 size-blue bg-blue"></div>
    </div>
    <div class="green1 bg-green p-10 m-b-10 d-flex j-c-c ">
        <div class="d-flex j-c-s-b f-grow-1 flex-col">
            <div class="blue1 size-blue bg-blue"></div>
            <div class="blue1 size-blue bg-blue"></div>
        </div>
        <div class="yellow1 bg-yellow d-flex"></div>
        <div class="d-flex j-c-s-b f-grow-1 a-i-f-end flex-col">
            <div class="blue1 size-blue bg-blue"></div>
            <div class="blue1 size-blue bg-blue"></div>
        </div>
    </div>
    <div class="green1 bg-green p-10 m-b-10 d-flex j-c-s-b a-i-f-end ">
        <div class="blue size-blue bg-blue d-flex"></div>
        <div class="yellow1 bg-yellow"></div>
    </div>
</div>

<div class="parent2 d-flex f-grow p-10 ">
    <div class="yellow2 bg-yellow flex-col d-flex p-10 f-grow-1 ">
        <div class="d-flex flex-col f-grow-1">
            <div class="green2 bg-green"></div>
            <div class="green2 bg-green"></div>
            <div class="green2 bg-green"></div>
        </div>
        <div class="d-flex flex-col f-grow-1 j-c-fe">
            <div class="blue2 bg-blue"></div>
        </div>
    </div>
    <div class="red1 bg-red d-flex f-grow-1 flex-col">
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
        <div class="bg-blue blue1 size-blue1"></div>
    </div>
</div>
<br>
<div class="parent3">
    <div class="class"></div>
    <div class="class"></div>
</div>
</body>
</html>